Bug 459135 - (CVE-2008-3699) CVE-2008-3699 amarok: temporary file vulnerability via symlink attacks (priv esc)
CVE-2008-3699 amarok: temporary file vulnerability via symlink attacks (priv ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
reported=20080814,public=20080812,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 12:46 EDT by Jan Lieskovsky
Modified: 2010-12-23 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 17:32:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-08-14 12:46:47 EDT
Description of problem:

The "MagnatuneBrowser::listDownloadComplete()" function in Amarok 1.4.9.1 
and prior versions handles temporary files in an insecure manner. This flaw
can be used by a malicious unprivileged user via symlink attack in combination
with a race condition to overwrite arbitrary files with the privileges of the user running the application (potential privilege escalation).


Version-Release number of selected component (if applicable):
1.4.9.1 and prior versions.

How reproducible:
No reproducer

Proposed patch:

http://websvn.kde.org/?view=rev&revision=846626

Public mentions of this issue:

http://secunia.com/advisories/31418/
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494765
http://bugs.gentoo.org/show_bug.cgi?id=234689
Comment 1 Jan Lieskovsky 2008-08-15 04:31:20 EDT
From CVE description:

The MagnatuneBrowser::listDownloadComplete function in
magnatunebrowser/magnatunebrowser.cpp in Amarok before 1.4.10 allows
local users to overwrite arbitrary files via a symlink attack on the
album_info.xml temporary file.
Comment 2 Fedora Update System 2008-09-10 02:33:29 EDT
amarok-1.4.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-09-10 02:36:49 EDT
amarok-1.4.10-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.